Subject: Re: bug#12094: check failure on AIXv7.1 / xlc

From: Peter Rosin <[email-masked]>
Date: Tue, 31 Jul 2012 00:57:19 +0200

On 2012-07-30 17:40, Jez Wain wrote:
> I built libtool on AIXv7.1, POWER7 using xlc compiler.
> 
> The configure and make completed without error, but "make check" produced 4 errors.
> 
> ====================================
> 4 of 102 tests failed
> (4 tests were not run)
> See ./test-suite.log
> Please report to [email-masked] <mailto:[email-masked]>
> ====================================
> 
> I used the following configure command:
> 
> LDFLAGS="-L/usr/local/lib" LIBS="-lmass" CXX=CC=xlc_r CFLAGS="-O2 -qtune=auto 
> -qarch=auto -qcache=auto -I/usr/local/include" ./configure
> 
> Here as requested in the error message, is the test-suite.log file.

The CXX=CC=xlc_r part is the culprit, did you mean CXX=xlc_r CC=xlc_r,
or perhaps only CXX=xlc_r or perhaps CXX=$CC o something?

Anyway, that's where you should start looking.

Cheers,
Peter